Rename or describe a decision corpus
PATCH /v1/agents/{agent_id}/decision-corpora/{corpus_id}
Property Value Operation update_decision_corpusGroup Decision corpora Scope agents:writeRoute class controlIdempotency No Idempotency-Key Audit Audited decision_corpus.update (mutation) Released in 1.58.0 Phase 0 host Served (the hosted api pins 1.65.0)
Request
Set VOCAL_API to the base URL of your API and VOCAL_API_KEY to an API key with the agents:write scope (Authentication and keys ). Replace each placeholder, such as agt_... or <name>, with your own value.
cURL Node.js Python
curl -X PATCH "$VOCAL_API/v1/agents/agt_.../decision-corpora/dcp_..." \
-H "Authorization: Bearer $VOCAL_API_KEY" \
-H 'If-Match: "1"' \
-H "Content-Type: application/json" \
-d '{}'const response = await fetch(`${process.env.VOCAL_API}/v1/agents/agt_.../decision-corpora/dcp_...`, {
method: 'PATCH',
headers: {
Authorization: `Bearer ${process.env.VOCAL_API_KEY}`,
'If-Match': '"1"',
'Content-Type': 'application/json',
},
body: JSON.stringify({}),
});
console.log(response.status, await response.text());import os
import requests
response = requests.patch(
f"{os.environ['VOCAL_API']}/v1/agents/agt_.../decision-corpora/dcp_...",
headers={
"Authorization": f"Bearer {os.environ['VOCAL_API_KEY']}",
"If-Match": '"1"',
},
json={},
)
print(response.status_code, response.text)
Parameters
Name In Type Required Description agent_idpath AgentId yes The id of an Agent: agt_ and the row's UUIDv7 in 26 Crockford base32 characters. Opaque and safe to log. corpus_idpath DecisionCorpusId yes The id of a decision corpus: dcp_ and the row's UUIDv7 in 26 Crockford base32 characters. Opaque and safe to log. if-matchheader string yes The revision the change was made against, quoted as the ETag returns it, or * to overwrite.
Request body
Content type application/json, required: DecisionCorpusUpdateRequest .
Field Type Required Description descriptionstring or null no namestring no
Responses
Fields of the 200 answer
The shape is DecisionCorpus .
Field Type Required Description agent_idAgentId yes archived_atTimestamp or nullyes case_countinteger yes created_atTimestamp yes descriptionstring or null yes idDecisionCorpusId yes namestring yes object"decision_corpus"yes question_setQuestionSetKey yes revisioninteger yes The ETag; required in If-Match. updated_atTimestamp yes versioninteger yes Rises by one with each case added or deleted; a run records the version it read.